#
# Conditional build:
%bcond_without	threads		# build without support for threads in Perl

%if "%{pld_release}" == "th"
%define		abi	5.20.0
%else
%define		abi	5.8.0
%endif

%define		perlthread		%{?with_threads:-thread-multi}
%define		perl_vendorarch	%{_libdir}/perl5/vendor_perl/%{abi}/%{_target_platform}%{perlthread}
%define		perl_vendorlib	%{_datadir}/perl5/vendor_perl

%define		rel	9
Summary:	Common dirs for Perl modules
Summary(pl.UTF-8):	Katalogi wspólne dla modułów Perla
Name:		perl-dirs
Version:	5
Release:	%{rel}@%{abi}
License:	Public Domain
Group:		Development/Languages/Perl
BuildRequires:	perl-base
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.442
Provides:	%{name}(%{_target_cpu}) = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# no binary blobs packaged
%define		_enable_debug_packages	0

%description
Common dirs for Perl modules.

%description -l pl.UTF-8
Katalogi wspólne dla modułów Perla.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{perl_vendorarch},%{perl_vendorlib}}

while read dir; do
	install -d $RPM_BUILD_ROOT$dir
done <<EOF
%{perl_vendorarch}/AI
%{perl_vendorarch}/Algorithm
%{perl_vendorarch}/Apache
%{perl_vendorarch}/Astro
%{perl_vendorarch}/Audio
%{perl_vendorarch}/Authen
%{perl_vendorarch}/B
%{perl_vendorarch}/BSD
%{perl_vendorarch}/Bit
%{perl_vendorarch}/Cache
%{perl_vendorarch}/Chemistry
%{perl_vendorarch}/Class
%{perl_vendorarch}/Compress
%{perl_vendorarch}/Compress/Raw
%{perl_vendorarch}/Convert
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/Crypt/OpenSSL
%{perl_vendorarch}/Data
%{perl_vendorarch}/DateTime
%{perl_vendorarch}/Devel
%{perl_vendorarch}/Device
%{perl_vendorarch}/Digest
%{perl_vendorarch}/Encode
%{perl_vendorarch}/Event
%{perl_vendorarch}/File
%{perl_vendorarch}/Graphics
%{perl_vendorarch}/HTML
%{perl_vendorarch}/IO
%{perl_vendorarch}/IO/Socket
%{perl_vendorarch}/IPC
%{perl_vendorarch}/IPTables
%{perl_vendorarch}/IPTables/IPv4
%{perl_vendorarch}/Image
%{perl_vendorarch}/Inline
%{perl_vendorarch}/Linux
%{perl_vendorarch}/Locale
%{perl_vendorarch}/MIME
%{perl_vendorarch}/Math
%{perl_vendorarch}/Math/BigInt
%{perl_vendorarch}/Net
%{perl_vendorarch}/Ogg
%{perl_vendorarch}/Ogg/Vorbis
%{perl_vendorarch}/Params
%{perl_vendorarch}/PerlIO
%{perl_vendorarch}/Speech
%{perl_vendorarch}/Speech/Recognizer
%{perl_vendorarch}/String
%{perl_vendorarch}/Sub
%{perl_vendorarch}/Sys
%{perl_vendorarch}/Template
%{perl_vendorarch}/Term
%{perl_vendorarch}/Test
%{perl_vendorarch}/Text
%{perl_vendorarch}/Time
%{perl_vendorarch}/Unicode
%{perl_vendorarch}/Unix
%{perl_vendorarch}/Variable
%{perl_vendorarch}/WWW
%{perl_vendorarch}/XML
%{perl_vendorarch}/auto/AI
%{perl_vendorarch}/auto/Algorithm
%{perl_vendorarch}/auto/Astro
%{perl_vendorarch}/auto/Audio
%{perl_vendorarch}/auto/Authen
%{perl_vendorarch}/auto/BSD
%{perl_vendorarch}/auto/Bit
%{perl_vendorarch}/auto/Cache
%{perl_vendorarch}/auto/Chemistry
%{perl_vendorarch}/auto/Class
%{perl_vendorarch}/auto/Clone
%{perl_vendorarch}/auto/Compress
%{perl_vendorarch}/auto/Compress/Raw
%{perl_vendorarch}/auto/Convert
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/auto/Crypt/OpenSSL
%{perl_vendorarch}/auto/Data
%{perl_vendorarch}/auto/Devel
%{perl_vendorarch}/auto/Device
%{perl_vendorarch}/auto/Digest
%{perl_vendorarch}/auto/Encode
%{perl_vendorarch}/auto/Event
%{perl_vendorarch}/auto/File
%{perl_vendorarch}/auto/Graphics
%{perl_vendorarch}/auto/HTML
%{perl_vendorarch}/auto/IO
%{perl_vendorarch}/auto/IPC
%{perl_vendorarch}/auto/IPTables
%{perl_vendorarch}/auto/IPTables/IPv4
%{perl_vendorarch}/auto/Image
%{perl_vendorarch}/auto/Inline
%{perl_vendorarch}/auto/Linux
%{perl_vendorarch}/auto/List
%{perl_vendorarch}/auto/Locale
%{perl_vendorarch}/auto/MIME
%{perl_vendorarch}/auto/Math
%{perl_vendorarch}/auto/Math/BigInt
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/auto/Ogg
%{perl_vendorarch}/auto/Ogg/Vorbis
%{perl_vendorarch}/auto/Params
%{perl_vendorarch}/auto/Params/Util
%{perl_vendorarch}/auto/PerlIO
%{perl_vendorarch}/auto/Regexp
%{perl_vendorarch}/auto/Speech
%{perl_vendorarch}/auto/Speech/Recognizer
%{perl_vendorarch}/auto/String
%{perl_vendorarch}/auto/Sub
%{perl_vendorarch}/auto/Sys
%{perl_vendorarch}/auto/Term
%{perl_vendorarch}/auto/Test
%{perl_vendorarch}/auto/Text
%{perl_vendorarch}/auto/Time
%{perl_vendorarch}/auto/Unicode
%{perl_vendorarch}/auto/Unix
%{perl_vendorarch}/auto/Variable
%{perl_vendorarch}/auto/WWW
%{perl_vendorarch}/auto/XML
%{perl_vendorlib}/AI
%{perl_vendorlib}/AI/NeuralNet
%{perl_vendorlib}/Algorithm
%{perl_vendorlib}/Any
%{perl_vendorlib}/Apache
%{perl_vendorlib}/Apache2
%{perl_vendorlib}/App
%{perl_vendorlib}/App/Packer
%{perl_vendorlib}/App/Prove
%{perl_vendorlib}/App/Prove/State
%{perl_vendorlib}/App/Prove/State/Result
%{perl_vendorlib}/Archive
%{perl_vendorlib}/Array
%{perl_vendorlib}/Astro
%{perl_vendorlib}/Attribute
%{perl_vendorlib}/Audio
%{perl_vendorlib}/Authen
%{perl_vendorlib}/B
%{perl_vendorlib}/Barcode
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/Business
%{perl_vendorlib}/CGI
%{perl_vendorlib}/CGI/Emulate
%{perl_vendorlib}/CPAN
%{perl_vendorlib}/CPAN/Meta
%{perl_vendorlib}/CSS
%{perl_vendorlib}/Cache
%{perl_vendorlib}/Carp
%{perl_vendorlib}/Chart
%{perl_vendorlib}/Cisco
%{perl_vendorlib}/Class/Data
%{perl_vendorlib}/Class/Inspector
%{perl_vendorlib}/Class/Method
%{perl_vendorlib}/Clone
%{perl_vendorlib}/Compress
%{perl_vendorlib}/Config
%{perl_vendorlib}/Convert
%{perl_vendorlib}/Crypt
%{perl_vendorlib}/DBD
%{perl_vendorlib}/DNS
%{perl_vendorlib}/Data
%{perl_vendorlib}/Date
%{perl_vendorlib}/Date/Japanese
%{perl_vendorlib}/DateTime
%{perl_vendorlib}/Devel
%{perl_vendorlib}/Device
%{perl_vendorlib}/Digest
%{perl_vendorlib}/Email
%{perl_vendorlib}/Email/Simple
%{perl_vendorlib}/Error
%{perl_vendorlib}/Event
%{perl_vendorlib}/Expect
%{perl_vendorlib}/Exporter
%{perl_vendorlib}/ExtUtils
%{perl_vendorlib}/FCGI
%{perl_vendorlib}/File
%{perl_vendorlib}/File/Path
%{perl_vendorlib}/Filesys
%{perl_vendorlib}/Filter
%{perl_vendorlib}/Font
%{perl_vendorlib}/Games
%{perl_vendorlib}/Getopt
%{perl_vendorlib}/GnuPG
%{perl_vendorlib}/Graph
%{perl_vendorlib}/Graphics
%{perl_vendorlib}/HTML
%{perl_vendorlib}/HTTP
%{perl_vendorlib}/HTTP/Message
%{perl_vendorlib}/Hash
%{perl_vendorlib}/Hook
%{perl_vendorlib}/I18N
%{perl_vendorlib}/IO
%{perl_vendorlib}/IO/Compress
%{perl_vendorlib}/IO/Compress/Adapter
%{perl_vendorlib}/IO/Socket
%{perl_vendorlib}/IO/Uncompress
%{perl_vendorlib}/IO/Uncompress/Adapter
%{perl_vendorlib}/IPC
%{perl_vendorlib}/Image
%{perl_vendorlib}/Inline
%{perl_vendorlib}/JSON
%{perl_vendorlib}/JSON/PP
%{perl_vendorlib}/Jabber
%{perl_vendorlib}/JavaScript
%{perl_vendorlib}/Language
%{perl_vendorlib}/Lingua
%{perl_vendorlib}/Lingua/EN
%{perl_vendorlib}/Lingua/Stem
%{perl_vendorlib}/Lingua/Stem/Snowball
%{perl_vendorlib}/Linux
%{perl_vendorlib}/List
%{perl_vendorlib}/Locale
%{perl_vendorlib}/Locale/Maketext
%{perl_vendorlib}/LockFile
%{perl_vendorlib}/Log
%{perl_vendorlib}/MIME
%{perl_vendorlib}/Mail
%{perl_vendorlib}/Math
%{perl_vendorlib}/Math/BigFloat
%{perl_vendorlib}/Math/BigInt
%{perl_vendorlib}/Math/Business
%{perl_vendorlib}/Math/Calc
%{perl_vendorlib}/Math/Fractal
%{perl_vendorlib}/Modem
%{perl_vendorlib}/Module
%{perl_vendorlib}/Module/Pluggable
%{perl_vendorlib}/Mozilla
%{perl_vendorlib}/Net
%{perl_vendorlib}/Net/FTP
%{perl_vendorlib}/Net/IDN
%{perl_vendorlib}/Net/SMTP
%{perl_vendorlib}/NetAddr
%{perl_vendorlib}/NetAddr/IP
%{perl_vendorlib}/NetServer
%{perl_vendorlib}/Netscape
%{perl_vendorlib}/News
%{perl_vendorlib}/Number
%{perl_vendorlib}/OLE
%{perl_vendorlib}/Object
%{perl_vendorlib}/PAR
%{perl_vendorlib}/PHP
%{perl_vendorlib}/Package
%{perl_vendorlib}/Parallel
%{perl_vendorlib}/Params
%{perl_vendorlib}/Parse
%{perl_vendorlib}/PerlIO
%{perl_vendorlib}/PerlIO/via
%{perl_vendorlib}/Pod
%{perl_vendorlib}/PostScript
%{perl_vendorlib}/Probe
%{perl_vendorlib}/Proc
%{perl_vendorlib}/Quantum
%{perl_vendorlib}/RADIUS
%{perl_vendorlib}/RPC
%{perl_vendorlib}/RPM
%{perl_vendorlib}/RTF
%{perl_vendorlib}/Regexp
%{perl_vendorlib}/Regexp/common
%{perl_vendorlib}/Role
%{perl_vendorlib}/Rose
%{perl_vendorlib}/SNMP
%{perl_vendorlib}/SOAP
%{perl_vendorlib}/SOAP/Transport
%{perl_vendorlib}/SQL
%{perl_vendorlib}/SVN
%{perl_vendorlib}/Schedule
%{perl_vendorlib}/Sendmail
%{perl_vendorlib}/Server
%{perl_vendorlib}/Set
%{perl_vendorlib}/Sort
%{perl_vendorlib}/Speech
%{perl_vendorlib}/Spreadsheet
%{perl_vendorlib}/Statistics
%{perl_vendorlib}/Stream
%{perl_vendorlib}/String
%{perl_vendorlib}/Sub
%{perl_vendorlib}/Symbol
%{perl_vendorlib}/Sys
%{perl_vendorlib}/TAP
%{perl_vendorlib}/TAP/Formatter
%{perl_vendorlib}/TAP/Formatter/Console
%{perl_vendorlib}/TAP/Formatter/File
%{perl_vendorlib}/TAP/Harness
%{perl_vendorlib}/TAP/Parser
%{perl_vendorlib}/TAP/Parser/Iterator
%{perl_vendorlib}/TAP/Parser/Result
%{perl_vendorlib}/TAP/Parser/Scheduler
%{perl_vendorlib}/TAP/Parser/Source
%{perl_vendorlib}/TAP/Parser/YAMLish
%{perl_vendorlib}/TeX
%{perl_vendorlib}/Template
%{perl_vendorlib}/Term
%{perl_vendorlib}/Term/ReadLine
%{perl_vendorlib}/Term/Screen
%{perl_vendorlib}/Test
%{perl_vendorlib}/Test/HTTP
%{perl_vendorlib}/Test/Perl
%{perl_vendorlib}/Test/WWW
%{perl_vendorlib}/Text
%{perl_vendorlib}/Text/Password
%{perl_vendorlib}/Text/Query
%{perl_vendorlib}/Tie
%{perl_vendorlib}/Tie/RefHash
%{perl_vendorlib}/Time
%{perl_vendorlib}/Tree
%{perl_vendorlib}/UNIVERSAL
%{perl_vendorlib}/Unicode
%{perl_vendorlib}/Unix
%{perl_vendorlib}/WWW
%{perl_vendorlib}/WWW/Google
%{perl_vendorlib}/WebService
%{perl_vendorlib}/X500
%{perl_vendorlib}/XML
%{perl_vendorlib}/XML/Filter
%{perl_vendorlib}/XML/Handler
%{perl_vendorlib}/XML/Parser
%{perl_vendorlib}/XML/RSS
%{perl_vendorlib}/XML/XPath
%{perl_vendorlib}/auto
%{perl_vendorlib}/auto/AI
%{perl_vendorlib}/auto/Array
%{perl_vendorlib}/auto/Compress
%{perl_vendorlib}/auto/Config
%{perl_vendorlib}/auto/Crypt
%{perl_vendorlib}/auto/Data
%{perl_vendorlib}/auto/Devel
%{perl_vendorlib}/auto/GnuPG
%{perl_vendorlib}/auto/Mail
%{perl_vendorlib}/auto/Math
%{perl_vendorlib}/auto/Net
%{perl_vendorlib}/auto/Schedule
%{perl_vendorlib}/auto/Statistics
%{perl_vendorlib}/auto/Text
%{perl_vendorlib}/auto/WWW
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/perl5/vendor_perl
%dir %{_libdir}/perl5/vendor_perl/%{abi}
%{perl_vendorarch}
%{perl_vendorlib}
%changelog
* Thu Sep 11 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-dirs.git;a=log;h=master

* Thu Sep 11 2014 Jan Rękorajski <baggins@pld-linux.org> 55142c5
- rel 9

* Thu Sep 11 2014 Jan Rękorajski <baggins@pld-linux.org> 0a1d5fe
- updated ABI to 5.20.0

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d1ba5d5
- rel 8; add Symbol dir

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c1c2a95
- rel 6; add Role dir

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 80b8675
- rel 6; add vendorlib/Stream dir

* Wed Jul 03 2013 Elan Ruusamäe <glen@delfi.ee> cb56169
- add %{perl_vendorlib}/FCGI

* Sun Jun 30 2013 Jan Rękorajski <baggins@pld-linux.org> f1f0025
- added dirs from packages obsoleted by perl 5.18
- rel 4

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> bbb571e
- added vendorarch Graphics dirs
- rel 3

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> fcb210b
- added Cache and IO/Socket vendorarch dirs
- rel 2

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 5dd9394
- ver 5
- Th perl is now 5.18

* Mon Mar 05 2012 Adam Osuchowski <adwol@pld-linux.org> 4f918f5
- added vendorlib/Sendmail; release 9

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fc0c699
- rel 8; add Mozilla subdir

* Wed Jul 06 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bef5928
- rel 7; add Server dir

* Wed Jul 06 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f66695f
- rel 6; more dirs

* Wed Mar 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 9a2b046
- added vendorarch/Test; rel 5

* Tue Mar 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 52f7100
- added vendorlib/Test/Perl; release 4

* Sun Feb 13 2011 Elan Ruusamäe <glen@pld-linux.org> 3a0b012
- %{perl_vendorarch}/auto/HTML as well
- cleanup macros to make them sense again

* Sun Feb 13 2011 Elan Ruusamäe <glen@pld-linux.org> 1a06ad4
- add %{perl_vendorarch}/HTML, sort asciibethically (LC_ALL=C sort filter in vim)

* Mon Nov 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3823317
- rel 4; one more MIME

* Mon Nov 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4cf72e4
- rel 3; more MIME dirs

